Bug 19033 - XSS Flaws in Currencies and exchange page
Summary: XSS Flaws in Currencies and exchange page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-04 04:02 UTC by Amit Gupta
Modified: 2017-09-07 06:14 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenhot XSS currenices page (199.75 KB, application/zip)
2017-08-04 04:12 UTC, Amit Gupta
Details
Bug 19033 - XSS Flaws in Currencies and exchange page (1.11 KB, patch)
2017-08-04 04:19 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19033: XSS Flaws in Currencies and exchange page (1.22 KB, patch)
2017-08-07 14:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-04 04:02:21 UTC
XSS Flaws in Currencies and exchange page
Comment 1 Amit Gupta 2017-08-04 04:12:02 UTC
Created attachment 65483 [details]
Screenhot XSS currenices page

XSS issue in the Currencies and exchange page
Comment 2 Amit Gupta 2017-08-04 04:19:43 UTC
Created attachment 65484 [details] [review]
Bug 19033 - XSS Flaws in Currencies and exchange page

1. Hit /cgi-bin/koha/admin/currency.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> search currencies box.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on search currencies box.
6. Notice it is no longer executed.
Comment 3 Tomás Cohen Arazi 2017-08-07 14:09:22 UTC
Created attachment 65557 [details] [review]
Bug 19033: XSS Flaws in Currencies and exchange page

1. Hit /cgi-bin/koha/admin/currency.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> search currencies box.
3. Notice the iframe is executed
4. Apply patch
5. Reload page, and enter iframe again on search currencies box.
6. Notice it is no longer executed

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Fixes the issue, follows common practice on the codebase.
Comment 4 Jonathan Druart 2017-08-29 15:07:13 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-05 12:44:37 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 6 Katrin Fischer 2017-09-07 06:14:44 UTC
This patch has been pushed to 16.11.x and is in 16.11.11.